## mumble 1.2.8

=== debian/changelog ===
mumble (1.2.8-2ubuntu1) wily; urgency=medium

  * Fix include path for the speechd headers.
  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Aug 2015 15:53:28 +0200

mumble (1.2.8-2build1) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 10:53:33 +0000

mumble (1.2.8-2) unstable; urgency=medium

  * debian/mumble-server.init
      - Remove file as it was included accidentily

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 09 Nov 2014 09:54:55 -0500

mumble (1.2.8-1) unstable; urgency=medium

  * New upstream stable release from 2014-08-09
  * debian/control:
      - Remove uploader Thorvald Natvig <thorvald@debian.org> due to
        inactivity; thanks very much for your prior contributions.
  * debian/patches:
      - Remove 23-fix-pulseaudio-segfault-pt1.diff
               24-fix-pulseaudio-segfault-pt2.diff
        Both patches incorporated upstream in 1.2.8
      - Add 25-make-logfiles-readable-by-adm.diff to make mumble-server log
        files readable by group adm.  Closes: #759287
        Thanks to Jan Braun <janbraun@gmx.net> for reporting the bug and
        submitting a patch.
  * debian/mumble-server.postinst:
      - Add check for existance of mumble-server group entry before creation
        of group and user.  Closes: #758833
        Thanks to William Martin <william.martin@power-lan.com> for reporting
        the bug and discussing a fix.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 28 Aug 2014 16:23:17 -0400

=== debian/control ===
Source: mumble
Section: sound
Priority: optional
Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
Build-Depends: debhelper (>= 7.0.8),
 po-debconf,
 libboost-dev (>= 1.42),
 libboost-python-dev (>= 1.42),
 libqt4-dev (>= 4.5.0),
 hardening-wrapper,
 libgl1-mesa-dev,
 libasound2-dev,
 libpulse-dev,
 libogg-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libopus-dev,
 libsndfile1-dev,
 libssl-dev,
 libzeroc-ice35-dev (>= 3.5.1-6ubuntu1),
 ice35-translators,
 ice35-slice,
 libg15daemon-client-dev,
 libspeechd-dev,
 protobuf-compiler,
 libprotobuf-dev,
 libavahi-compat-libdnssd-dev,
 libxi-dev,
 libcap-dev [linux-any]
Standards-Version: 3.9.5
Homepage: http://mumble.sourceforge.net/

Package: mumble
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libqt4-sql-sqlite,
 lsb-release
Suggests: speech-dispatcher,
 mumble-server
Description: Low latency encrypted VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming.
 It features noise suppression, encrypted connections for both voice
 and instant messaging, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

Package: mumble-server
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 libqt4-sql-sqlite
Suggests: dbus,
 mumble-django
Description: Low latency encrypted VoIP server
 Murmur is the VoIP server component for Mumble. Murmur is installed
 in a system-wide fashion, but can also be run by individual users.
 Each murmur process supports multiple virtual servers, each with their
 own user base and channel list.

Package: mumble-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 mumble (= ${binary:Version}) | mumble-server (= ${binary:Version})
Priority: extra
Description: Low latency encrypted VoIP client (debugging symbols)
 Mumble is a low-latency, high quality voice chat program for gaming.
 It features noise suppression, encrypted connections for both voice
 and instant messaging, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This package contains the debugging symbols for the 'mumble' and
 'mumble-server' packages.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

# The default Mumble build for Unix-like systems
# uses the "-z now" linker flag by default on all
# build products that support it, causing all dynamic
# symbols to be resolved when the program is loaded.
#
# However, the Mumble overlay (libmumble.so, a shared
# library that is often LD_PRELOAD'ed into games),
# expects to be able to resolve OpenGL symbols at
# runtime without linking against a specific libGL
# implementation.
#
# Linking it as "-z now" defeats that, as the
# loader will attempt to resolve the overlay's
# OpenGL symbols at program start-up, which will
# fail because it isn't linked against a library
# providing those symbols.
#
# Disabling the hardening option below is equivalent
# to not linking libmumble.so using the "-z now"
# option. All other products are still linked with
# "-z now".
export DEB_BUILD_HARDENING_BINDNOW=0

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))..
VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake-qt4 -recursive main.pro \
	CONFIG*=release \
	CONFIG*=symbols \
	CONFIG*=no-embed-qt-translations \
	CONFIG*=packaged \
	CONFIG*=quiet-build-log \
	CONFIG*=bundled-celt \
	CONFIG*=no-bundled-opus \
	DEFINES*=NO_UPDATE_CHECK \
	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
	DEFINES*=HAVE_LIMITS_H \
	DEFINES*=HAVE_ENDIAN_H
	touch configure-stamp

build: build-arch

build-arch: build-arch-stamp

build-arch-stamp: configure-stamp
	$(MAKE) release
	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
	touch $@

build-indep:


clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf release debug Ice
	[ ! -d release-32 ] || rm -rf release-32
	rm -f $(CURDIR)/debian/mumble-server.logrotate $(CURDIR)/mumble-server.init
	debconf-updatepo
	dh_clean

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s
	dh_install -s
	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
	install -m 0644 -D ./scripts/murmur.conf $(CURDIR)/debian/mumble-server/etc/dbus-1/system.d/mumble-server.conf
	install -m 0644 -D ./scripts/murmur.ini.system $(CURDIR)/debian/mumble-server/etc/mumble-server.ini

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installmenu
	dh_installinit -- defaults 95
	dh_installman
	dh_lintian
	dh_installlogrotate
	dh_installdebconf
	dh_installexamples
	dh_link
	dh_gconf
	dh_icons
	dh_strip --dbg-package=mumble-dbg
	# remove debug file libmumble.so.* which does not contain debug symbols
	rm -vf ./debian/mumble-dbg/usr/lib/debug/usr/lib/mumble/libmumble.so.*
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary:	binary-arch

.PHONY: clean configure build build-arch build-indep \
        binary binary-arch binary-indep binary-common \
        install install-arch

## mumble 1.2.12

=== sbcelt-src/lib/Makefile ===
TARGET = libsbcelt.a

CFLAGS = -O2 -I../celt-0.7.0/libcelt/ -DSBCELT_PREFIX

SOURCES = \
	libsbcelt.c \
	mtime.c \
	stub.c

ifeq ($(shell uname -s),Linux)
SOURCES += \
	futex-linux.c \
	closefrom.c
endif

ifeq ($(shell uname -s),Darwin)
SOURCES += \
	futex-stub.c \
	closefrom.c
endif

ifeq ($(shell uname -s),FreeBSD)
SOURCES += \
	futex-freebsd.c \
	closefrom-sys.c
endif

include ../Make.lib

=== debian/changelog ===
mumble (1.2.12-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix include path for the speechd headers.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2016 17:23:37 +0100

mumble (1.2.12-1) unstable; urgency=medium

  * New bugfix release from 2015-12-20
  * debian/patches:
    - Update 35-add-dpkg-buildflags.diff to remove version # context to
      avoid having to update the patch with every release
    - Rename 40-change-build-timestamp.diff -> 40-make-build-reproducible.diff
      Update to remove the timestamps as the upstream commit does, and remove
      version # context line to avoid having to update the patch with every
      release

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 23 Dec 2015 18:56:29 -0500

mumble (1.2.11-1) unstable; urgency=medium

  * New upstream security/bugfix release from 2015-12-06
  * debian/copyright:
    - Convert to machine readable copyright-1.0 format
  * debian/patches:
    - Remove 02-reject-with-ip-in-log.diff; integrated upstream
    - Remove 15-add-mumble.desktop-keywords.diff; integrated upstream
    - Update 35-add-dpkg-buildflags.diff for version number
    - Update 40-change-build-timestamp.diff for version number

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 14 Dec 2015 16:39:45 -0500

mumble (1.2.10-3) unstable; urgency=high

  * debian/patches:
      - Add 43-initialize-SSL.diff to fix SSL breakage on startup
        Closes: #804363
        Thanks very much to Colomban Wendling <lists.ban@herbesfolles.org>
        for reporting the bug and offering a fix.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 10 Nov 2015 13:06:43 -0500

mumble (1.2.10-2) unstable; urgency=high

  * debian/mumble.lintian-overrides:
      - Add override for useless ldconfig call in postinst added by debhelper
  * debian/patches:
      - Add 38-fix-spelling-error.diff .. "nonexistant" to "nonexistent"
      - Add 40-change-build-timestamp.diff .. use debian changelog date/time
        instead of current date/time for the build.  (Needed for
        Reproducible Builds)
  * debian/rules:
      - Comment out DH_VERBOSE=1
      - Add BUILD_DATE shell variable for use with 40-change-build-timestamp
        patch (used in src/Version.h)
      - Use $(CURDIR) instead of '.' in override_dh_installinit section
      - Re-order dh_installinit call in override_dh_installinit to be after
        copying init script to $(CURDIR)/debian  Closes: #802390
        Thanks to  Daniel Gnoutcheff <gnoutchd@softwarefreedom.org> for
        reporting the bug (missing init script).

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 26 Oct 2015 15:05:02 -0400

mumble (1.2.10-1) unstable; urgency=medium

  * New stable maintenance release from 2015-07-15  Closes: #797788
  * debian/compat:
      - Update from 7 to 9
        Update to debhelper 9 changes the filenames contained in mumble-dbg
        because dh_strip uses build-id in /usr/lib/debug (see #642158)
  * debian/control:
      - Update debhelper build dependency from 7.0.8 to 9
      - Standards-Version updated to 3.9.6 (no changes needed)
      - Remove hardening-wrapper build dependency
        (now using dpkg-buildflags instead)
  * debian/copyright:
      - Tweak from "GPU Public License" to "GNU General Public License" to
        appease lintian
  * debian/mumble.menu:
      - Remove menu file to conform with [CTTE #741573]
  * debian/patches:
      - Update 19-move-xlib-initializtion-earlier.diff for line offset fuzz
      - Remove 21-fix-compile-with-gcc-4.9.diff as it's been incorporated
      - Add 27-prevent-flooding-.xsession-errors.diff to stop .xsession
        being flooded with errors after waking from hibernation.
        Closes: #779836
        Thanks to François Gannaz <francois.gannaz@free.fr> for reporting the
        bug and pointing to the bug report filed upstream that had a patch.
      - Add 30-Remove-flawed-MX-host-existence-check.diff to stop checking
        certificate email addresses via checking for a DNS 'A' record
        Closes: #787384
        Thanks to  Brian M. Carlson <sandals@crustytoothpaste.net> for
        reporting the bug and pointing to upstream issue #1178
      - Add 35-add-dpkg-buildflags.diff to add hardening flags to compiler.pri
        and overlay_gl.pro
  * debian/po/pt_BR.po: Add Brazilian Portuguese support (Closes: #799422)
        Thanks to Adriano Rafael Gomes <adrianorg@arg.eti.br> for the
        translation
  * debian/rules:
      - Update to switch from individual debhelper calls to dh with overrides.
      - Remove unused DEB_BUILD hardening-wrapper environment variables
  * debian/upstream/signing-key.asc
      - Update for new Mumble upstream signing key from 2015-01-01
        http://mumble.info/gpg/mumble-auto-build-2015.asc
  * debian/watch:
      - Update to watch only the "stable" upstream releases

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 12 Oct 2015 18:24:32 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: sound
 Priority: optional
 Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
-Build-Depends: debhelper (>= 7.0.8),
+Build-Depends: debhelper (>= 9),
  po-debconf,
  libboost-dev (>= 1.42),
  libboost-python-dev (>= 1.42),
  libqt4-dev (>= 4.5.0),
- hardening-wrapper,
  libgl1-mesa-dev,
  libasound2-dev,
  libpulse-dev,
@@ -17,7 +16,7 @@
  libopus-dev,
  libsndfile1-dev,
  libssl-dev,
- libzeroc-ice35-dev (>= 3.5.1-6ubuntu1),
+ libzeroc-ice35-dev,
  ice35-translators,
  ice35-slice,
  libg15daemon-client-dev,
@@ -27,7 +26,7 @@
  libavahi-compat-libdnssd-dev,
  libxi-dev,
  libcap-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mumble.sourceforge.net/
 
 Package: mumble

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))..
VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')
export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%b %e %Y %H:%M:%S')

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

export DH_OPTIONS

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure
	qmake-qt4 -recursive main.pro \
	CONFIG*=release \
	CONFIG*=symbols \
	CONFIG*=no-embed-qt-translations \
	CONFIG*=packaged \
	CONFIG*=quiet-build-log \
	CONFIG*=bundled-celt \
	CONFIG*=no-bundled-opus \
	DEFINES*=NO_UPDATE_CHECK \
	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
	DEFINES*=HAVE_LIMITS_H \
	DEFINES*=HAVE_ENDIAN_H

override_dh_clean:
	rm -rfv release debug Ice
	[ ! -d release-32 ] || rm -rf release-32
	rm -fv $(CURDIR)/debian/mumble-server.logrotate $(CURDIR)/mumble-server.init
	debconf-updatepo
	dh_clean

override_dh_auto_build:
	$(MAKE) release
	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
	dh_auto_build

override_dh_strip:
	dh_strip --dbg-package=mumble-dbg

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_installinit:
	install -m 0755 $(CURDIR)/scripts/murmur.init $(CURDIR)/debian/mumble-server.init
	install -m 0755 $(CURDIR)/scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
	install -m 0644 -D $(CURDIR)/scripts/murmur.conf $(CURDIR)/debian/mumble-server/etc/dbus-1/system.d/mumble-server.conf
	install -m 0644 -D $(CURDIR)/scripts/murmur.ini.system $(CURDIR)/debian/mumble-server/etc/mumble-server.ini
	dh_installinit -- defaults 95

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://mumble.info/snapshot/mumble-(\d+\.\d+\.\d+)\.tar\.gz

## mumble 1.2.15

=== debian/changelog ===
mumble (1.2.15-1) unstable; urgency=medium

  * New bugfix release from 2016-03-05
  * debian/control:
    - Update Standards-Version to 3.9.8 (no changes needed)
    - Homepage updated to http://mumble.info
  * debian/patches:
    - Add 44-add-speechd-header.diff to include speechd header path for Ubuntu
  * debian/rules:
    - Remove unused BUILD_DATE variable

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 29 Apr 2016 23:38:04 -0400

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
  libavahi-compat-libdnssd-dev,
  libxi-dev,
  libcap-dev [linux-any]
-Standards-Version: 3.9.6
-Homepage: http://mumble.sourceforge.net/
+Standards-Version: 3.9.8
+Homepage: http://mumble.info/
 
 Package: mumble
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 SOURCE_DIR = $(dir $(MAKEFILE))..
 VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')
-export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%b %e %Y %H:%M:%S')
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

## mumble 1.2.16

=== debian/changelog ===
mumble (1.2.16-2) unstable; urgency=medium

  * debian/patches:
    - Add 47-fix-build-c++03-ice.diff to fix FTBFS bug with GCC 6
      Closes: #831184
      Thanks to Lucas Nussbaum <lucas@debian.org> for reporting the bug and
      to Mikkel Krautz <mikkel@krautz.dk> for finding the fix.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 13 Aug 2016 23:06:50 +0000

mumble (1.2.16-1) unstable; urgency=medium

  * New bugfix release from 2015-05-05
  * debian/control:
    - Update Homepage link to use https
    - Update Build-Depends for changes to zeroc-ice packaging
      (Closes: #827020)
  * debian/changelog:
     - Fix "under" word duplication
  * debian/upstream:
    - Update signing-key.asc
      https://github.com/mumble-voip/mumble-gpg-signatures/blob/master/gpg.txt

      pub   4096R/5A2BE0C1 2016-01-01 [expires: 2017-01-01]
      Key fingerprint = 3BD0 ECA5 9253 19AF 89C2  5865 B585 609C 5A2B E0C1
      uid   Mumble Automatic Build Infrastructure 2016
            <mumble-auto-build-2016@mumble.info>
  * debian/rules:
    - Update slice2html includes for zeroc-ice softlink location change

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 24 Jun 2016 21:50:49 +0000

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,7 @@
  libopus-dev,
  libsndfile1-dev,
  libssl-dev,
- libzeroc-ice35-dev,
- ice35-translators,
- ice35-slice,
+ libzeroc-ice-dev,
  libg15daemon-client-dev,
  libspeechd-dev,
  protobuf-compiler,
@@ -27,7 +25,7 @@
  libxi-dev,
  libcap-dev [linux-any]
 Standards-Version: 3.9.8
-Homepage: http://mumble.info/
+Homepage: https://wiki.mumble.info/wiki/Main_Page
 
 Package: mumble
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 override_dh_auto_build:
 	$(MAKE) release
-	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
+	slice2html -I/usr/share/slice src/murmur/Murmur.ice --output-dir Ice
 	dh_auto_build
 
 override_dh_strip:

## mumble 1.2.17

=== debian/changelog ===
mumble (1.2.17-1) unstable; urgency=medium

  * New bugfix release from 2016-09-24
    http://blog.mumble.info/mumble-1-2-17/
  * debian/patches:
    - Add 48-c++11-or-c++03.diff to allow for config option to choose
      c++11 or c++03 (defaults to c++03)
    - Remove 47-fix-build-c++03-ice.diff (obsolete)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 26 Oct 2016 14:48:05 +0000

## mumble 1.2.18

=== debian/changelog ===
mumble (1.2.18-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Feb 2017 15:57:17 +0100

mumble (1.2.18-1) unstable; urgency=medium

  * New bugfix release from 2016-12-12
    http://blog.mumble.info/mumble-1-2-18/
    (Closes: #850433)
  * debian/backports:
    - Remove outdated backports scripts for lenny, lucid, maverick, natty
      Thanks to Emmanuel Bourg <ebourg@apache.org> for feedback on this
      and other suggested changes
  * debian/control:
    - Update to depend on debhelper 10
    - Add lsb-base dependency for mumble-server to fix lintian error
    - Add Vcs-Git and Vcs-Browser links
  * debian/gbp.conf:
    - Add config file to help others work with git-buildpackage
  * debian/mumble-server.README.Debian:
    - Remove suggestion of mumble-server-web package; package was removed
      (Closes: #843072)
      Thanks to Leonardo Boselli <leo@dicea.unifi.it> for reporting the bug
  * debian/patches:
    - Remove 48-c++11-or-c++03.diff: incorporated upstream into cplusplus.pri
  * debian/rules:
    - Add CONFIG to use c++11; needed for cplusplus.pri to find the c++11
      libraries for ZeroC-Ice in Debian

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 08 Jan 2017 05:01:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: sound
 Priority: optional
 Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
-Build-Depends: debhelper (>= 9),
+Uploaders: Emmanuel Bourg <ebourg@apache.org>
+Bugs: mailto:debian-backports@lists.debian.org
+Build-Depends: debhelper (>= 10),
  po-debconf,
+ ice35-slice,
+ ice35-translators,
  libboost-dev (>= 1.42),
  libboost-python-dev (>= 1.42),
  libqt4-dev (>= 4.5.0),
@@ -25,6 +29,8 @@
  libxi-dev,
  libcap-dev [linux-any]
 Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mumble.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mumble.git
 Homepage: https://wiki.mumble.info/wiki/Main_Page
 
 Package: mumble
@@ -50,7 +56,8 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  adduser,
- libqt4-sql-sqlite
+ libqt4-sql-sqlite,
+ lsb-base (>= 3.0-6)
 Suggests: dbus,
  mumble-django
 Description: Low latency encrypted VoIP server

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	CONFIG*=quiet-build-log \
 	CONFIG*=bundled-celt \
 	CONFIG*=no-bundled-opus \
+	CONFIG*=c++11 \
 	DEFINES*=NO_UPDATE_CHECK \
 	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
 	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
@@ -42,7 +43,7 @@
 
 override_dh_auto_build:
 	$(MAKE) release
-	slice2html -I/usr/share/slice src/murmur/Murmur.ice --output-dir Ice
+	slice2html -I/usr/share/slice src/murmur/Murmur.ice -I/usr/share/Ice/slice --output-dir Ice
 	dh_auto_build
 
 override_dh_strip:

## mumble 1.2.19

=== debian/changelog ===
mumble (1.2.19-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Dec 2018 16:32:39 +0100

mumble (1.2.19-2) unstable; urgency=medium

  * debian/compat:
    - Update from debhelper compatibility 9 to 11
  * debian/control:
    - Remove VCS links that are currently invalid
      (VCS links will return later after a transition is completed)
    - Update Build-Depends on debhelper version >= 11
    - Update Standards-Version to 4.1.4
      Changes:
        - Added 52-use-update-rc.d-for-disable.diff patch for init  script
          to remove /etc/default check for daemon enable/disable
        - Update mumble-server.config to remove /etc/default check for
          daemon enable/disable
        - Update mumble-server.postinst to remove checks and modifications to
          /etc/default for daemon enable/disable
        - Update mumble-server.default to remove environment variable for
          daemon enable/disable
        - Update mumble-server.README.Debian for explanation of daemon
          enable/disable in /etc/default file and how to use update-rc.d
          for sysvinit and systemctl commands for enable/disable with systemd
  * debian/rules:
    - Update for new zeroc-ice library location
  * debian/patches:
    - Update 35-add-dpkg-buildflags.diff for line offset fuzz
    - Update 43-initialize-SSL.diff for line offset fuzz
    - Update 48-systemd-workaround.diff for "netowrk" typo
    - Add 50-zeroc-ice-lib-move.diff for zeroc-ice 3.7 library location move
      and IceUtil library removal
    - Add 52-use-update-rc.d-for-disable.diff to switch from enable/disable
      in init script to using update-rc.d as required by Debian Policy

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 06 Jun 2018 11:55:12 +0100

mumble (1.2.19-1) unstable; urgency=medium

  * New bugfix release from 2017-01-27
    http://blog.mumble.info/mumble-1-2-19/
    (Closes: #869723)
  * debian/control:
    - Update Standards-Version to 4.1.2 (no changes needed)
    - Remove mumble-dbg package to switch to automatic dbgsym packaging
  * debian/copyright
    - Update copyright-format link to use https
  * debian/mumble-server.postinst
    - Update to replace /var/run with /run
  * debian/mumble-server.postrm
    - Update to replace /var/run with /run
  * debian/NEWS
    - Update to explain pending removal of Mumble 1.2.x due to pending
      removal of Qt 4 and trouble with pending OpenSSL 1.0 removal
  * debian/patches
    - Add 46-var-run-to-run.diff to replace /var/run with /run
      (Closes: #693348)
      Thanks to Florent Angebault <florent.angebault@free.fr> for reporting
      the bug
    - Add 48-systemd-workaround.diff systemd workaround for mumble-server
      (Closes: #780300)
      Thanks to Tuxicoman <debian@jesuislibre.net> for reporting the bug and
      pointing to the corresponding Ubuntu launchpad bug. (#1346431)
      Thanks to Mikkel Krautz <mikkel@krautz.dk> for finding the fix
  * debian/rules
    - Remove dh_strip call to switch to automatic dbgsym packaging
  * debian/upstream
    - Update signing-key.asc with upstream 2017 key
      https://github.com/mumble-voip/mumble-gpg-signatures/blob/master/mumble-auto-build-2017.asc

      pub   rsa4096/0x88048D0D625297A0 2017-01-08 [SC] [expires: 2017-12-31]
      Key fingerprint = C466 6C67 67A2 6017 CE68  4069 8804 8D0D 6252 97A0
      uid   Mumble Automatic Build Infrastructure 2017
            <mumble-auto-build-2017@mumble.info>
      sub   rsa4096/0x0E416EE9C603B213 2017-01-08 [E] [expires: 2017-12-31]
  * debian/watch
    - Update to use available https download link

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 10 Dec 2017 02:51:45 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,8 @@
 Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Bugs: mailto:debian-backports@lists.debian.org
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  po-debconf,
- ice35-slice,
- ice35-translators,
  libboost-dev (>= 1.42),
  libboost-python-dev (>= 1.42),
  libqt4-dev (>= 4.5.0),
@@ -28,9 +26,7 @@
  libavahi-compat-libdnssd-dev,
  libxi-dev,
  libcap-dev [linux-any]
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mumble.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mumble.git
+Standards-Version: 4.1.4
 Homepage: https://wiki.mumble.info/wiki/Main_Page
 
 Package: mumble
@@ -65,23 +61,3 @@
  in a system-wide fashion, but can also be run by individual users.
  Each murmur process supports multiple virtual servers, each with their
  own user base and channel list.
-
-Package: mumble-dbg
-Section: debug
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- mumble (= ${binary:Version}) | mumble-server (= ${binary:Version})
-Priority: extra
-Description: Low latency encrypted VoIP client (debugging symbols)
- Mumble is a low-latency, high quality voice chat program for gaming.
- It features noise suppression, encrypted connections for both voice
- and instant messaging, automatic gain control and low latency audio
- with support for multiple audio standards. Mumble includes an in-game
- overlay compatible with most open-source and commercial 3D applications.
- Mumble is just a client and uses a non-standard protocol. You will need
- a dedicated server to talk to other users. Server functionality is
- provided by the package "mumble-server".
- .
- This package contains the debugging symbols for the 'mumble' and
- 'mumble-server' packages.

=== debian/rules ===
--- 
+++ 
@@ -43,11 +43,8 @@
 
 override_dh_auto_build:
 	$(MAKE) release
-	slice2html -I/usr/share/slice src/murmur/Murmur.ice -I/usr/share/Ice/slice --output-dir Ice
+	slice2html -I/usr/share/ice/slice -I/usr/share/slice src/murmur/Murmur.ice --output-dir Ice
 	dh_auto_build
-
-override_dh_strip:
-	dh_strip --dbg-package=mumble-dbg
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES

## mumble 1.3.0~2868~g44b9004+dfsg

=== debian/changelog ===
mumble (1.3.0~2868~g44b9004+dfsg-1) experimental; urgency=medium

  * New upstream snapshot from 2018-08-30
    Fixes wishlist bug "mumble: please package a QT5 version of mumble"
    (Closes: #874683)
    Thanks to Daniel Kahn Gillmor <dkg@fifthhorseman.net> for reporting
    the bug and informing me about the pending Qt4 removal (also reported
    in #875058); sorry it took me so long to package this.
  * debian/control:
    - Update Build-Depends to use Qt5 dependencies
    - Remove Suggests: dbus, mumble-django packages for mumble-server
    - Add Suggests: libqt5sql5-sqlite for mumble-server
    - Update Standards-Version to 4.2.1
      Changes:
        - Update debian/rules to enable DH_VERBOSE=1 to increase build
          verbosity as requested in Debian Policy § 4.9
  * debian/copyright:
    - Add Files-Excluded section to document files removed from the upstream
      tarball for DFSG compliance.  [The removals are for draft IETF documents
      for CELT, Opus, Speex codecs that have a restrictive license.]
    - Update Source link to https://dl.mumble.info
    - Remove Files: macx/overlay/* section (code removed upstream)
    - Update copyright year for files in debian/*
  * debian/mumble-server.examples:
    - Update for file move in new upstream snapshot
  * debian/NEWS:
    - Add entry to describe new Perfect Forward Secrecy SSL support, slowed
      upstream development, tarball repack, and tarball PGP check removal
  * debian/patches:
    - Remove 05-lsb-description.diff (incorporated upstream)
    - Remove 12-mumble-server-disable-dbus-and-ice.diff,
      Add 12-disable-ice-by-default.diff to disable Ice by default
    - Remove 17-change-pulseaudio-role.diff (incorporated upstream)
    - Remove 19-move-xlib-initializtion-earlier.diff (incorporated upstream)
    - Remove 27-prevent-flooding-.xsession-errors.diff (different fix
      incorporated upstream)
    - Remove 30-Remove-flawed-MX-host-existence-check.diff
      (incorporated upstream)
    - Update 35-add-dpkg-buildflags.diff for new upstream snapshot
    - Remove 38-fix-spelling-error.diff (incorporated upstream)
    - Remove 40-make-build-reproducible.diff (incorporated upstream)
    - Remove 43-initialize-SSL.diff (similar fix incorporated upstream)
    - Update 44-add-speechd-header.diff for new upstream snapshot
    - Update 46-var-run-to-run.diff for new upstream snapshot
    - Remove 48-systemd-workaround.diff (incorporated upstream)
    - Remove 50-zeroc-ice-lib-move.diff (similar fix incorporated upstream)
  * debian/rules:
    - Enable DH_VERBOSE=1 to increase build verbosity
    - Enable DEB_BUILD_HARDENING=1 to add build hardening
    - Enable QT_SELECT=qt5 to force use of Qt5's qmake rather than Qt4's
    - Switch qmake-qt4 to qmake in override_dh_auto_configure section
    - Add CONFIG*=dpkg-buildflags in override_dh_auto_configure section
  * debian/upstream:
    - Remove signing-key.asc due to having to repack upstream tarball
      which will cause the PGP signature check to fail
  * debian/watch:
    - Comment out PGP signature check due to upstream tarball repack
    - Add repack option to remove unreleasable files specified by
      Files-Excluded in debian/copyright file

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 20 Sep 2018 05:50:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
-Uploaders: Emmanuel Bourg <ebourg@apache.org>
-Bugs: mailto:debian-backports@lists.debian.org
 Build-Depends: debhelper (>= 11),
  po-debconf,
  libboost-dev (>= 1.42),
- libboost-python-dev (>= 1.42),
- libqt4-dev (>= 4.5.0),
+ qtbase5-dev,
+ qttools5-dev-tools,
+ libqt5svg5-dev,
+ libqt5opengl5-dev,
  libgl1-mesa-dev,
  libasound2-dev,
  libpulse-dev,
@@ -26,17 +26,17 @@
  libavahi-compat-libdnssd-dev,
  libxi-dev,
  libcap-dev [linux-any]
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://wiki.mumble.info/wiki/Main_Page
 
 Package: mumble
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libqt4-sql-sqlite,
+ libqt5sql5-sqlite,
  lsb-release
-Suggests: speech-dispatcher,
- mumble-server
+Suggests: mumble-server,
+ speech-dispatcher
 Description: Low latency encrypted VoIP client
  Mumble is a low-latency, high quality voice chat program for gaming.
  It features noise suppression, encrypted connections for both voice
@@ -52,10 +52,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  adduser,
- libqt4-sql-sqlite,
- lsb-base (>= 3.0-6)
-Suggests: dbus,
- mumble-django
+ libqt5sql5-sqlite
 Description: Low latency encrypted VoIP server
  Murmur is the VoIP server component for Mumble. Murmur is installed
  in a system-wide fashion, but can also be run by individual users.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
 
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 MAKEFILE = $(firstword $(MAKEFILE_LIST))
 SOURCE_DIR = $(dir $(MAKEFILE))..
 VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')
+# qtchooser will try to use qmake from qt4 even if it's not installed
+export QT_SELECT=qt5
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -19,7 +22,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	qmake-qt4 -recursive main.pro \
+	qmake -recursive main.pro \
+	CONFIG*=dpkg-buildflags \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \

=== debian/watch ===
version=4
## Note: right now the shipped PGP signature is not checked, due to needing
##       to repack the upstream tarball to remove unreleasable files.
#opts=pgpsigurlmangle=s/$/.sig/ \
opts="repack,repacksuffix=+repack,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/" \
https://dl.mumble.info/mumble-(\d+\.\d+\.\d+\~\d+\~g.+)\~snapshot\.tar\.gz

## mumble 1.3.0~git20190114.9fcc588+dfsg

=== debian/changelog ===
mumble (1.3.0~git20190114.9fcc588+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot from 2019-01-14
    Fixes wishlist bug "mumble: please package a QT5 version of mumble"
    (Closes: #874683)
    Fixes "[mumble] Future Qt4 removal from Buster"
    (Closes: #875058)
    Thanks to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
    for reporting the bug
    Fixes "mumble: sound glitches when starting mumble"
    (Closes: #915273)
    Thanks to Axel R. <at46n@t-online.de> for reporting the bug
    Fixes security issue: instability and crash due to crafted message flooding
    Thanks to "The Zom.bi Community" for reporting the bug and fixing the bug
    upstream
    (Closes: #919249)
  * debian/control:
    - Update Build-Depends to use Qt5 dependencies
    - Remove Suggests: dbus package for mumble-server
    - Add Suggests: libqt5sql5-sqlite for mumble-server
    - Update Standards-Version to 4.3.0 (no changes needed)
  * debian/copyright:
    - Add Files-Excluded section to document files removed from the upstream
      tarball for DFSG compliance.  [The removals are for draft IETF documents
      for CELT, Opus, Speex codecs that have a restrictive license.]
    - Update Source link to https://dl.mumble.info
    - Remove Files: macx/overlay/* section (code removed upstream)
    - Update copyright year for files in debian/*
  * debian/extras:
    - Add make-mumble-git-tarball.sh and murmur.ini.system.diff for
      creating a tarball from the git repository to allow verifying the
      tarball used in the package
  * debian/mumble-server.examples:
    - Update for file move in new version
  * debian/NEWS:
    - Add entry to describe new Perfect Forward Secrecy SSL support,
      tarball repack, and tarball PGP check removal
  * debian/patches:
    - Remove 05-lsb-description.diff (incorporated upstream)
    - Update 07-use-embedded-celt-baseline.diff for Mumble 1.3
    - Remove 12-mumble-server-disable-dbus-and-ice.diff,
      Add 12-disable-ice-by-default.diff to disable Ice by default
    - Remove 17-change-pulseaudio-role.diff (incorporated upstream)
    - Remove 19-move-xlib-initializtion-earlier.diff (incorporated upstream)
    - Remove 27-prevent-flooding-.xsession-errors.diff (different fix
      incorporated upstream)
    - Remove 30-Remove-flawed-MX-host-existence-check.diff
      (incorporated upstream)
    - Update 35-add-dpkg-buildflags.diff for new upstream snapshot
    - Remove 38-fix-spelling-error.diff (incorporated upstream)
    - Remove 40-make-build-reproducible.diff (incorporated upstream)
    - Remove 43-initialize-SSL.diff (similar fix incorporated upstream)
    - Update 44-add-speechd-header.diff for new upstream snapshot
    - Update 46-var-run-to-run.diff for new upstream snapshot
    - Remove 48-systemd-workaround.diff (incorporated upstream)
    - Remove 50-zeroc-ice-lib-move.diff (similar fix incorporated upstream)
    - Remove 54-fix-boost-ftbfs.diff (incorporated upstream)
  * debian/rules:
    - Enable QT_SELECT=qt5 to force use of Qt5's qmake rather than Qt4's
    - Switch qmake-qt4 to qmake in override_dh_auto_configure section
    - Add CONFIG*=dpkg-buildflags in override_dh_auto_configure section
  * debian/upstream:
    - Remove signing-key.asc due to having to repack upstream tarball
      which will cause the PGP signature check to fail
  * debian/watch:
    - Comment out all lines for now, as the source of the tarball is
      via git export of 'master' with submodules via a script

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 15 Jan 2019 05:53:33 +0000

mumble (1.2.19-3) unstable; urgency=medium

  * debian/control:
    - Add Vcs-Browser and Vcs-Git links pointing to repository on Salsa
    - Remove Suggests: mumble-django package from mumble-server (deprecated)
    - Remove Build-Depends: libg15daemon-client-dev due to g15daemon package
      removal (see #914888) (Closes: #915777)
      Thanks to Andreas Beckmann <anbe@debian.org> for reporting the bug.
    - Upgrade Standards-Version to 4.2.1
      Changes:
        - Update debian/rules to enable DH_VERBOSE=1 to increase build
          verbosity as requested in Debian Policy § 4.9
  * debian/patches:
    - Add 54-fix-boost-ftbfs.diff to fix FTBFS bug with boost1.67
      (Closes: #912779)
      Thanks to Giovanni Mascellani <gio@debian.org> for reporting the bug and
      providing a patch.  Thanks to Adrian Bunk <bunk@debian.org> for finding
      and reporting the upstream commit used to fix this.
   - Re-enable 07-use-embedded-celt-baseline.diff in series file.  Without the
     patch celt 0.11.0 was built but then not shipped.
  * debian/rules:
    - Enable DH_VERBOSE=1 to increase build verbosity
    - Add CONFIG*=no-g15 to remove G15 keyboard features due to g15daemon
      package removal
  * debian/upstream/metadata:
    - Add metadata file to appease Lintian

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 11 Dec 2018 15:58:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
 
 MAKEFILE = $(firstword $(MAKEFILE_LIST))
 SOURCE_DIR = $(dir $(MAKEFILE))..
@@ -31,6 +30,7 @@
 	CONFIG*=quiet-build-log \
 	CONFIG*=bundled-celt \
 	CONFIG*=no-bundled-opus \
+	CONFIG*=no-g15 \
 	CONFIG*=c++11 \
 	DEFINES*=NO_UPDATE_CHECK \
 	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \

## mumble 1.3.0~git20190125.440b173+dfsg

=== debian/changelog ===
mumble (1.3.0~git20190125.440b173+dfsg-2+deb10u1) buster; urgency=medium

  * debian/patches:
    - Add 67-only-http-https-URLs-in-Connect.diff to fix CVE-2021-27229
      "Mumble before 1.3.4 allows remote code execution if a victim navigates
       to a crafted URL on a server list and clicks on the Open Webpage text."
      This patch only allows "http"/"https" URLs in ConnectDialog
      (Closes: #982904)
      Thanks to Salvatore Bonaccorso <carnil@debian.org> for reporting the bug
      and giving links to the fix.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 30 Apr 2021 22:24:25 +0000

mumble (1.3.0~git20190125.440b173+dfsg-2) unstable; urgency=medium

  * debian/patches:
    - Add 65-fix-sample-path.diff  (Closes: #921268)
      Thanks to Mikaela Suomalainen <mikaela@mikaela.info> for reporting
      the bug.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 28 Feb 2019 16:36:21 +0000

mumble (1.3.0~git20190125.440b173+dfsg-1) unstable; urgency=high

  [ Helmut Grohne ]
  * debian/patches:
    - Add 60-crossbuild.diff to remove hard coded call to pkg-config
      to allow Mumble to be cross buildable
      Fixes "FTCBFS: builds for the wrong architecture"  (Closes: #919453)
  * debian/rules:
    - Merge qmake call into dh_auto_configure so qmake gets called only once

  [ Christopher Knadle ]
  * New upstream git snapshot from 2019-01-25
    - Fixes "security issue: DoS due to changing # of allowed users in root
      channel"  (Closes: #920476)
      Thanks to "The Zom.bi Community" for finding the bug and fixing it
      upstream.
    - Fixes "lost list of server configurated"  (Closes: #920237)
      Thanks to petrohs <petrohs@gmail.com> for reporting the bug, and to
      Antoine Beaupré <anarcat@debian.org> for discussing the bug upstream
      more in issue #1702 to verify that the prior fix was insufficient
  * debian/copyright:
    - Update directory location for codecs to be under 3rdparty/ rather than
      softlinks

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 26 Jan 2019 03:33:10 +0000

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,15 @@
  libsndfile1-dev,
  libssl-dev,
  libzeroc-ice-dev,
- libg15daemon-client-dev,
  libspeechd-dev,
  protobuf-compiler,
  libprotobuf-dev,
  libavahi-compat-libdnssd-dev,
  libxi-dev,
  libcap-dev [linux-any]
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/mumble
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/mumble.git
 Homepage: https://wiki.mumble.info/wiki/Main_Page
 
 Package: mumble
@@ -52,7 +53,8 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  adduser,
- libqt5sql5-sqlite
+ libqt5sql5-sqlite,
+ lsb-base (>= 3.0-6)
 Description: Low latency encrypted VoIP server
  Murmur is the VoIP server component for Mumble. Murmur is installed
  in a system-wide fashion, but can also be run by individual users.

=== debian/watch ===
version=4
## Note: right now the shipped PGP signature is not checked, due to needing
##       to repack the upstream tarball to remove unreleasable files.
##opts=pgpsigurlmangle=s/$/.sig/ \
#opts="repack,repacksuffix=+repack,\
#dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/" \
#https://dl.mumble.info/mumble-(\d+\.\d+\.\d+\~\d+\~g.+)\~snapshot\.tar\.gz
